=== debian/changelog ===
opm-models (2021.10-2) unstable; urgency=medium

  * d/control: Bump Standards version to 4.6.0
  * d/control: Strip gfortran from Build-Depends

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 26 Jan 2022 12:52:33 +0100

opm-models (2021.10-1) unstable; urgency=medium

  * Initial release (Closes: #987381)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 16 Nov 2021 16:50:02 +0100
