=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

OPM_DEBIAN_CMAKE_FLAGS = -DADD_DISABLED_CTESTS=0 -DUSE_QUADMATH=0 -DBUILD_TESTING=0 -DWITH_NATIVE=OFF

%:
	dh $@

include /usr/share/opm/opm-debian.mk

# Deactivate running the tests (they are expensve!)
override_dh_auto_test:
