## opm-models 2022.04+ds

=== debian/changelog ===
opm-models (2022.04+ds-4) unstable; urgency=medium

  * d/control: Finally skip dependency on inexistent libopm-grid-dev for
    mips64el

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 16 May 2022 17:51:09 +0200

opm-models (2022.04+ds-3) unstable; urgency=medium

  * d/control: Dot depend on unavailable libdune-grid-dev on
    armel/armhf/mpis64el.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 16 May 2022 12:23:55 +0200

opm-models (2022.04+ds-2) unstable; urgency=medium

  * Changed version in dune.module to 2022.04

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 May 2022 14:25:26 +0200

opm-models (2022.04+ds-1) unstable; urgency=medium

  * New final upstream release 2022.04
  * d/copyright: Updated copyright and files excluded.
  * d/watch: Advertise repackaging in tarball name

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 11 May 2022 23:08:34 +0200

opm-models (2022.04~rc1-2) experimental; urgency=medium

  * d/rules: Fix OPM version dependency

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 28 Apr 2022 12:02:46 +0200

opm-models (2022.04~rc1-1) experimental; urgency=medium

  * New upstream release candidate 2022.04-rc1
  * d/control: Updated dependency on OPM
  * Rediff patches
  * d/control: Use debhelper-compat (= 12) to support older Ubuntu
  * d/tests: Removed dependency on libpython3.9-dev

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 28 Apr 2022 00:00:36 +0200

opm-models (2021.10-5) unstable; urgency=medium

  * d/tests: Added dependency on libpython3.9-dev to allow migration

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 22 Apr 2022 09:23:26 +0200

opm-models (2021.10-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Markus Blatt ]
  * d/rules: Facilitate building with pbuilder without local libopm-common-dev

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 01 Apr 2022 14:21:38 +0200

opm-models (2021.10-3) unstable; urgency=medium

  * d/control: Try building on all architectures
  * d/tests: Added basic autopkgtests.
  * d/copyright: Added more member to OPM development team
  * d/copyright: removed leading ./ from files listed.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 08 Mar 2022 15:40:08 +0100
