=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 13), cmake (>=3.10),
+Build-Depends: debhelper-compat (= 12), cmake,
  libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-grid-dev (>= 2.6.0), libdune-istl-dev (>= 2.6.0),
- libdune-localfunctions-dev (>= 2.6.0), libopm-material-dev (>=2021.10),
+ libdune-grid-dev, libdune-istl-dev,
+ libdune-localfunctions-dev, libopm-material-dev (>= 2022.04),
+ libopm-grid-dev (>= 2022.04) [!armel !armhf !mips64el],
  libboost-test-dev,
 # Build-Depends-Indep: # broken on precise pbuilder
  doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
@@ -19,11 +20,12 @@
 
 Package: libopm-models-dev
 Section: libdevel
-Architecture: amd64 arm64 ia64 mips64el ppc64el
+Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
- libdune-grid-dev (>= 2.6.0), libdune-istl-dev (>= 2.6.0),
- libdune-localfunctions-dev (>= 2.6.0), libopm-material-dev (>=2021.10)
+ libdune-grid-dev, libdune-istl-dev,
+ libdune-localfunctions-dev, libopm-material-dev (>= 2022.04),
+ libopm-grid-dev (>= 2022.04)  [!armel !armhf !mips64el]
 Suggests: libopm-models-doc
 Replaces: libopm-models1-dev
 Description: C++ simulation framework for porous media flow -- development files
@@ -45,6 +47,7 @@
 
 Package: libopm-models-doc
 Architecture: all
+Multi-Arch: foreign
 Replaces: libopm-models1-doc
 Section: doc
 Depends: ${misc:Depends}
