=== debian/tests/control ===
Tests: basic
Depends:
  libopm-models-dev,
  build-essential,
  mpi-default-bin, mpi-default-dev,
  libboost-test-dev
# skip test on architectures where there is no installable package (e.g. 32bit)
Restrictions: allow-stderr, skip-not-installable
