## opm-models 2022.10%2Bds

=== debian/changelog ===
opm-models (2022.10+ds-1) unstable; urgency=medium

  * New upstream version 2022.10
  * d/control: Bump version of OPM dependencies.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 15 Nov 2022 16:42:56 +0100

opm-models (2022.10~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2022.10-rc2
  * d/tests: depend on same version of packages for autopkgtest.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 08 Nov 2022 20:58:22 +0100

opm-models (2022.10~rc1+ds-1) experimental; urgency=medium

  * new upstream version 2022.10-rc1
  * Updated and corrected copyright.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 04 Nov 2022 10:22:14 +0100
