=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: basic
 Depends:
-  libopm-models-dev,
+  libopm-models-dev (>= 2022.10),
   build-essential,
   mpi-default-bin, mpi-default-dev,
   libboost-test-dev
