## opm-models 2022.10+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -159,6 +159,9 @@
              TEST_ARGS --end-time=3000)
 
 opm_add_test(lens_immiscible_ecfv_ad_23
+             TEST_ARGS --end-time=3000)
+
+opm_add_test(lens_immiscible_ecfv_ad_trans
              TEST_ARGS --end-time=3000)
 
 # this test is identical to the simulation of the lens problem that
