=== debian/changelog ===
opm-models (2022.10+ds-4) unstable; urgency=medium

  * d/(tests/)control: Limit the architectures to known working ones.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 24 Mar 2023 09:43:28 +0100

opm-models (2022.10+ds-3) unstable; urgency=medium

  * Release to unstable (no-change)

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 Mar 2023 23:45:45 +0100

opm-models (2022.10+ds-2) experimental; urgency=medium

  * d/control: Bumped standards version to 4.6.2

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 09 Jan 2023 15:55:47 +0100
