=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # Build-Depends-Indep: # broken on precise pbuilder
  doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
  zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-models
 Vcs-Git: https://salsa.debian.org/science-team/opm-models.git
@@ -20,7 +20,7 @@
 
 Package: libopm-models-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
 Depends: ${misc:Depends},
  libdune-grid-dev, libdune-istl-dev,
