=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,10 @@
 %:
 	dh $@
 
-include /usr/share/opm/opm-debian.mk
+OPM_DEBIAN_MK ?= /usr/share/opm/opm-debian.mk
+ifneq ("$(wildcard $(OPM_DEBIAN_MK))","")
+   include $(OPM_DEBIAN_MK)
+endif
 
 # Deactivate running the tests (they are expensve!)
 override_dh_auto_test:
