=== debian/tests/control ===
--- 
+++ 
@@ -6,3 +6,4 @@
   libboost-test-dev
 # skip test on architectures where there is no installable package (e.g. 32bit)
 Restrictions: allow-stderr, skip-not-installable
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
