=== debian/changelog ===
opm-models (2023.04+ds-3) unstable; urgency=medium

  * d/control: Added missing (Build-)Depends on mips64el
  * d/tests/control: Fixed version and architecture list.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 21 Aug 2023 15:57:40 +0200

opm-models (2023.04+ds-2) unstable; urgency=medium

  * d/control: Do not depend on libopm-grid-dev on mipsel64el

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 16 Aug 2023 08:54:52 +0200

opm-models (2023.04+ds-1) unstable; urgency=medium

  * New upstream release 2023.04

 -- Markus Blatt <markus@dr-blatt.de>  Sat, 15 Jul 2023 13:36:07 +0200
