=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Build-Depends: debhelper-compat (= 12), cmake,
  libtool, mpi-default-bin, mpi-default-dev, pkg-config,
  libdune-grid-dev, libdune-istl-dev,
- libdune-localfunctions-dev, libopm-material-dev (>= 2022.10),
- libopm-grid-dev (>= 2022.10) [!armel !armhf !mips64el],
+ libdune-localfunctions-dev,
+ libopm-grid-dev (>= 2023.04) [!mips64el],
+ libopm-common-dev (>= 2023.04),
+ libdune-grid-dev,
  libboost-test-dev,
 # Build-Depends-Indep: # broken on precise pbuilder
  doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
@@ -24,8 +26,10 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
  libdune-grid-dev, libdune-istl-dev,
- libdune-localfunctions-dev, libopm-material-dev (>= 2022.10),
- libopm-grid-dev (>= 2022.10)  [!armel !armhf !mips64el]
+ libdune-localfunctions-dev,
+ libopm-grid-dev (>= 2023.04) [!mips64el],
+ libopm-common-dev (>= 2023.04),
+ libdune-grid-dev
 Suggests: libopm-models-doc
 Replaces: libopm-models1-dev
 Description: C++ simulation framework for porous media flow -- development files
