=== debian/tests/control ===
Tests: basic
Depends:
  libopm-models-dev (>= 2023.04),
  build-essential,
  mpi-default-bin, mpi-default-dev,
  libboost-test-dev
# skip test on architectures where there is no installable package (e.g. 32bit)
Restrictions: allow-stderr, skip-not-installable
Architecture: amd64 arm64 mips64el ppc64el riscv64
