## opm-models 2023.04+ds

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,6 @@
  libdune-grid-dev, libdune-istl-dev,
  libdune-localfunctions-dev,
  libopm-grid-dev (>= 2023.04) [!mips64el],
- libopm-common-dev (>= 2023.04),
- libdune-grid-dev,
  libboost-test-dev,
 # Build-Depends-Indep: # broken on precise pbuilder
  doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
@@ -27,9 +25,7 @@
 Depends: ${misc:Depends},
  libdune-grid-dev, libdune-istl-dev,
  libdune-localfunctions-dev,
- libopm-grid-dev (>= 2023.04) [!mips64el],
- libopm-common-dev (>= 2023.04),
- libdune-grid-dev
+ libopm-grid-dev (>= 2023.04)
 Suggests: libopm-models-doc
 Replaces: libopm-models1-dev
 Description: C++ simulation framework for porous media flow -- development files
