## opm-models 2024.04+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,10 +14,10 @@
 #                                                                         #
 ###########################################################################
 
+cmake_minimum_required (VERSION 3.10)
+
 # Mandatory call to project
 project(opm-models C CXX)
-
-cmake_minimum_required (VERSION 3.10)
 
 # add the current projects cmake module directory to the search
 # path. This is not required anymore once support for federated builds
@@ -69,6 +69,9 @@
 include(CMakeLists_files.cmake)
 
 macro (config_hook)
+  if(NOT fmt_FOUND)
+    include(DownloadFmt)
+  endif()
   opm_need_version_of("dune-common")
   opm_need_version_of("dune-geometry")
   opm_need_version_of("dune-grid")
@@ -206,6 +209,7 @@
              co2injection_immiscible_ni_ecfv
              co2injection_ncp_ni_ecfv
              co2injection_pvs_ni_ecfv
+             co2_ptflash_ecfv
              powerinjection_forchheimer_fd
              powerinjection_forchheimer_ad
              powerinjection_darcy_fd
