=== debian/changelog ===
opm-models (2024.04+ds-1) unstable; urgency=medium

  * New upstream release 2024.04.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 May 2024 21:25:56 +0200

opm-models (2024.04~rc2+ds-2) unstable; urgency=medium

  * New upstream release candidate 2024.04-rc2
  * Depend on OPM >= 2024.04~

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 07 May 2024 19:43:10 +0200

opm-models (2024.04~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2024.04-rc2

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 06 May 2024 18:02:53 +0200

opm-models (2024.04~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2024.04~rc1
  * Depend on OPM >= 2024.04~

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 19 Apr 2024 19:54:17 +0200

opm-models (2023.10+ds-2) unstable; urgency=medium

  * Team upload.
  * Loong support was added in 2023.10~rc2+ds-1
    Closes: #1059849
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Replace deprecated pkg-config by pkgconf

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 18:41:12 +0100

opm-models (2023.10+ds-1) experimental; urgency=medium

  * Bump version to 2023.10 (final)
  * d/copyright: Updated copyright
  * d/control: Depend on final OPM release

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 12 Nov 2023 16:23:59 +0100

opm-models (2023.10~rc2+ds-1) experimental; urgency=medium

  [ Dandan Zhang ]
  * Add support for LoongArch

  [ Markus Blatt ]
  * New upstream release candidate 2023.10-rc2

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 30 Oct 2023 20:24:38 +0100

opm-models (2023.10~rc1+ds-1) experimental; urgency=medium

  * d/control: Depend on OPM 2023.10
  * d: do not try to install removed pkg-config files.
  * New upstream release candidate 2023.10-rc1
  * d/watch: Also allow downloading release candidates

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 17 Oct 2023 21:14:03 +0200
