=== debian/control ===
--- 
+++ 
@@ -1,31 +1,43 @@
 Source: opm-models
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>,
+           Markus Blatt <markus@dr-blatt.de>
 Section: libs
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 12), cmake,
- libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-grid-dev, libdune-istl-dev,
- libdune-localfunctions-dev,
- libopm-grid-dev (>= 2023.04) [!mips64el],
- libboost-test-dev,
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libtool,
+               mpi-default-bin,
+               mpi-default-dev,
+               pkgconf,
+               libdune-grid-dev,
+               libdune-istl-dev,
+               libdune-localfunctions-dev,
+               libopm-grid-dev (>= 2024.04~) [!mips64el],
+               libopm-common-dev (>= 2024.04~),
+               libboost-test-dev,
 # Build-Depends-Indep: # broken on precise pbuilder
- doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
- zlib1g-dev
+               doxygen,
+               texlive-latex-extra,
+               texlive-latex-recommended,
+               ghostscript,
+               zlib1g-dev
 Standards-Version: 4.6.2
-Homepage: http://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-models
 Vcs-Git: https://salsa.debian.org/science-team/opm-models.git
+Homepage: https://opm-project.org
 Rules-Requires-Root: no
 
 Package: libopm-models-dev
+Architecture: amd64 arm64 armel ia64 loong64 m68k mips64el mipsel ppc64el riscv64
+Multi-Arch: same
 Section: libdevel
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
-Multi-Arch: same
 Depends: ${misc:Depends},
- libdune-grid-dev, libdune-istl-dev,
- libdune-localfunctions-dev,
- libopm-grid-dev (>= 2023.04)
+         libdune-grid-dev,
+         libdune-istl-dev,
+         libdune-localfunctions-dev,
+         libopm-grid-dev (>= 2024.04~) [!mips64el],
+         libopm-common-dev (>= 2024.04~)
 Suggests: libopm-models-doc
 Replaces: libopm-models1-dev
 Description: C++ simulation framework for porous media flow -- development files
@@ -48,9 +60,9 @@
 Package: libopm-models-doc
 Architecture: all
 Multi-Arch: foreign
-Replaces: libopm-models1-doc
 Section: doc
 Depends: ${misc:Depends}
+Replaces: libopm-models1-doc
 Description: C++ simulation framework for porous media flow -- documentation
  The Open Porous Media (OPM) software suite provides libraries and
  tools for modeling and simulation of porous media processes, especially
