=== debian/tests/control ===
--- 
+++ 
@@ -6,4 +6,4 @@
   libboost-test-dev
 # skip test on architectures where there is no installable package (e.g. 32bit)
 Restrictions: allow-stderr, skip-not-installable
-Architecture: amd64 arm64 mips64el ppc64el riscv64
+Architecture: amd64 arm64 loong64 mips64el ppc64el riscv64
